// older.cpp: определяет точку входа для консольного приложения.
//

#include <iostream>

#include <fstream>

using namespace std;

int main()
{
	int d1,m1,y1,d2,m2,y2;
	cin>>d1>>m1>>y1>>d2>>m2>>y2;
	if (y1<y2) cout<<"Peter";
	else
		if (y1>y2) cout<<"Maria";
		else
			if (m1<m2) cout<<"Peter";
			else
				if (m1>m2) cout<<"Maria";
				else
				if (d1<d2) cout<<"Peter";
				else
					if (d1>d2) cout<<"Maria";
					else cout<<"Identic";


	return 0;
}

